Bug 496334 - Cannot install Fedora 10 on Acer L5100
Cannot install Fedora 10 on Acer L5100
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-17 17:22 EDT by Paul Flinders
Modified: 2009-10-18 17:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-18 17:26:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Flinders 2009-04-17 17:22:17 EDT
Background:

The Acer L5100 is a small form factor (Acer say "ultra small form factor") desktop PC. It exists in a wide range of hardware configurations in terms of processor/ram/disk but is essentially an AMB Athlon/Phenom system based on the ATI Xpress X1250 integrated chipset.

The particular configuration in question is 
  Processor: AMD Phenom 9150e (quad core 1.8Ghz)
  Ram: 4GB DDR2
  HDD: 750 GB S-ATA
  Video: Radeon X1200
  Chipset: Radeon Xpress X1250

Details:

Booting from the Fedora install CD works and the kernel initialises successfully and starts to load the installer. the last message seen is "running /sbin/loader" and then the screen blanks, afterwards the PC appears hung.

Booting with "noprobe" improves things a little - the text dialogs for language and keyboard layout appear followed by the installer asking for the installation source (noprobe means the CD can't be found at this point).

Choosing "local CD drive" then loading the ata_generic driver using the "Select Driver" dialog recognises the CD. However the installer can't mount install.img, switching consoles shows that this fails with "/dev/loop0: no such file or directory".

I've tried using a USB CD drive as well as copying the install image to the local hard drive and an NFS mount all with pretty much the same result.

I've also tried limiting the hardware probing with eg "nousb" but only disabling hardware probing completely "works".


How to reproduce:
1) Buy Acer L5100
2) Attempt installation of Fedora 10

Expected Result:
Joy of new Linux installation

Actual Result:
Frustration!

Additional Information:
Fedora 9 hangs during boot as it tries to bring processor #1-3 online but can be installed by either waiting for the timeouts or adding maxcpus=1 to the kernel arguments.

lspci from Fedora 9 installation:
00:00.0 Host bridge: ATI Technologies Inc RS690 Host Bridge
00:01.0 PCI bridge: ATI Technologies Inc RS690 PCI to PCI Bridge (Internal gfx)
00:07.0 PCI bridge: ATI Technologies Inc RS690 PCI to PCI Bridge (PCI Express Port 3)
00:12.0 SATA controller: ATI Technologies Inc SB600 Non-Raid-5 SATA
00:13.0 USB Controller: ATI Technologies Inc SB600 USB (OHCI0)
00:13.1 USB Controller: ATI Technologies Inc SB600 USB (OHCI1)
00:13.2 USB Controller: ATI Technologies Inc SB600 USB (OHCI2)
00:13.3 USB Controller: ATI Technologies Inc SB600 USB (OHCI3)
00:13.4 USB Controller: ATI Technologies Inc SB600 USB (OHCI4)
00:13.5 USB Controller: ATI Technologies Inc SB600 USB Controller (EHCI)
00:14.0 SMBus: ATI Technologies Inc SBx00 SMBus Controller (rev 14)
00:14.1 IDE interface: ATI Technologies Inc SB600 IDE
00:14.2 Audio device: ATI Technologies Inc SBx00 Azalia
00:14.3 ISA bridge: ATI Technologies Inc SB600 PCI to LPC Bridge
00:14.4 PCI bridge: ATI Technologies Inc SBx00 PCI to PCI Bridge
00:18.0 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] HyperTransport Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Miscellaneous Control
00:18.4 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Link Control
01:05.0 VGA compatible controller: ATI Technologies Inc RS690 [Radeon X1200 Series]
01:05.2 Audio device: ATI Technologies Inc Radeon X1200 Series Audio Controller
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)
03:06.0 FireWire (IEEE 1394): Texas Instruments TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link)
Comment 1 Chris Lumens 2009-04-29 11:51:04 EDT
Looks to me like hardware support for your machine is in a fairly rough state.  Once all the hardware's well supported, anaconda will just pick that up for free.
Comment 2 Vedran Miletić 2009-09-06 02:18:05 EDT
This should work with Fedora 11. Reporter, can you retest?
Comment 3 Paul Flinders 2009-10-18 16:40:28 EDT
I'm not sure that the Fedora 11 installation worked either, however, I can report that the current development release installs OK - there are quite a few display glitches but I'll file separate bug reports for them if I have time. The installation itself completed with no problems so Fedora 12 should be fine.
Comment 4 Vedran Miletić 2009-10-18 17:26:35 EDT
Once Fedora 12 is released, glitches will probably be corrected. ATI driver with KMS changes is in kind of a rough state at the moment, but it's getting better.

Thank you for reporting back.

Note You need to log in before you can comment on or make changes to this bug.